package com.ruoyi.business.mapper;

import java.util.Date;
import java.util.List;

import cn.hutool.core.date.DateTime;
import com.ruoyi.business.domain.ReReward;
import org.apache.ibatis.annotations.Param;

/**
 * 我的悬赏Mapper接口
 * 
 * @author xiatao
 * @date 2022-01-18
 */
public interface ReRewardMapper 
{
    /**
     * 查询我的悬赏
     * 
     * @param rewardId 我的悬赏主键
     * @return 我的悬赏
     */
    public ReReward selectReRewardByRewardId(Long rewardId);

    /**
     * 查询我的悬赏列表
     * 
     * @param reReward 我的悬赏
     * @return 我的悬赏集合
     */
    public List<ReReward> selectReRewardList(ReReward reReward);

    /**
     * 新增我的悬赏
     * 
     * @param reReward 我的悬赏
     * @return 结果
     */
    public int insertReReward(ReReward reReward);

    /**
     * 修改我的悬赏
     * 
     * @param reReward 我的悬赏
     * @return 结果
     */
    public int updateReReward(ReReward reReward);

    /**
     * 删除我的悬赏
     * 
     * @param rewardId 我的悬赏主键
     * @return 结果
     */
    public int deleteReRewardByRewardId(Long rewardId);

    /**
     * 批量删除我的悬赏
     * 
     * @param rewardIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteReRewardByRewardIds(String[] rewardIds);

    int selectCount(@Param("startTime") Date startTime, @Param("endTime")Date endTime);
}
